Subject: Spanish translation
From: "Mike" <[email-masked]>
To: "Doris Duffy" <[email-masked]>
Date: Thu, 21 Sep 2006 12:10:49 -0400

Doris,
As always, it was a pleasure speaking with you today.  Thank you so much for your care and attention of Christina.  Celeste and I are so thankful for you and the other teachers that give so much!  We really are blessed to have so much care!  May God bless you extra for the extra you always give! 
Now, I am emailing you the information I need translated.  I have given Celeste a copy to drop off to you so hopefully you have that copy as well.  Let me know if you have any questions.  Make sure you email me the hours you work on the project so I can get your $$$.
Thank you,

Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]